libgeglmm: Gegl::Buffer Class Reference

libgeglmm

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gegl::Buffer Class Reference
Inheritance diagram for Gegl::Buffer:
[legend]

List of all members.

## Public Member Functions
const Rectangle& | abyss ()
void | clear (const Rectangle& p1)
void | copy (const Rectangle& src_rect, const Glib::RefPtr< Buffer >& dest, const Rectangle& dest_rect)
Glib::RefPtr< Buffer > | create_sub_buffer (const Rectangle& extent)
void | destroy ()
Glib::RefPtr< Buffer > | dup () const
void | flush ()
void | get (double scale, const Rectangle& rect, const Babl* format, void* dest, int rowstride) const
Rectangle | get_extent () const
const Babl* | get_format ()
GeglBuffer* | gobj ()
| Provides access to the underlying C GObject.
const GeglBuffer* | gobj () const
| Provides access to the underlying C GObject.
GeglBuffer* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | linear_close (gpointer linear)
gpointer* | linear_open (const Rectangle& r, gint& rowstride, const Babl* format)
Glib::PropertyProxy_ReadOnly< int > | property_abyss_height () const
| pixel height of abyss.
Glib::PropertyProxy_ReadOnly< int > | property_abyss_width () const
| pixel width of abyss.
Glib::PropertyProxy_ReadOnly< int > | property_abyss_x () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_abyss_y () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< gpointer > | property_backend ()
| A custom tile-backend instance to use.
Glib::PropertyProxy_ReadOnly < gpointer > | property_backend () const
| A custom tile-backend instance to use.
Glib::PropertyProxy< Babl* > | property_format ()
| babl format.
Glib::PropertyProxy_ReadOnly < Babl* > | property_format () const
| babl format.
Glib::PropertyProxy< int > | property_height ()
| pixel height of buffer.
Glib::PropertyProxy_ReadOnly< int > | property_height () const
| pixel height of buffer.
Glib::PropertyProxy < Glib::ustring > | property_path ()
| URI to where the buffer is stored.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_path () const
| URI to where the buffer is stored.
Glib::PropertyProxy_ReadOnly< int > | property_pixels () const
| total amount of pixels in image (width x height).
Glib::PropertyProxy_ReadOnly< int > | property_px_size () const
| size of a single pixel in bytes.
Glib::PropertyProxy_ReadOnly< int > | property_shift_x () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly< int > | property_shift_y () const
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy< Glib::Object > | property_source ()
| The tilestore to be a facade for.
Glib::PropertyProxy_ReadOnly < Glib::Object > | property_source () const
| The tilestore to be a facade for.
Glib::PropertyProxy_ReadOnly< int > | property_tile_height () const
| height of a tile.
Glib::PropertyProxy_ReadOnly< int > | property_tile_width () const
| width of a tile.
Glib::PropertyProxy< int > | property_width ()
| pixel width of buffer.
Glib::PropertyProxy_ReadOnly< int > | property_width () const
| pixel width of buffer.
Glib::PropertyProxy< int > | property_x ()
| local origin's offset relative to source origin.
Glib::PropertyProxy_ReadOnly< int > | property_x () const
| local origin's offset relative to source origin.
Glib::PropertyProxy< int > | property_y ()
| local origin's offset relative to source origin.
Glib::PropertyProxy_ReadOnly< int > | property_y () const
| local origin's offset relative to source origin.
void | sample (double x, double y, double scale, void* dest, const Babl* format, Interpolation interpolation)
void | sample_cleanup ()
void | save (const Glib::ustring& p1, const Rectangle& p2) const
void | save (const Glib::ustring&) const
void | set (const Rectangle& rect, const Babl* format, void* src, int rowstride)
void | set_extent (const Rectangle& p1)
Glib::SignalProxy1< void, const Rectangle& > | signal_changed ()
virtual | ~Buffer ()
## Static Public Member Functions
static Glib::RefPtr< Buffer > | create (const Rectangle& extent, const Babl* format)
static Glib::RefPtr< Buffer > | create_from_file (const Glib::ustring& p1)
static Interpolation | interpolation_from_string (const Glib::ustring&string)
## Protected Member Functions
| Buffer (const Rectangle& extent, const Babl* format)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gegl::Buffer > | wrap (GeglBuffer* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gegl::Buffer::~Buffer | ( |  | ) | `[virtual]`

Gegl::Buffer::Buffer | ( | const Rectangle& | extent,
|  | const Babl * | format
| ) |  | `[protected]`

## Member Function Documentation

const Rectangle& Gegl::Buffer::abyss | ( |  | ) |

void Gegl::Buffer::clear | ( | const Rectangle& | p1 | ) |

void Gegl::Buffer::copy | ( | const Rectangle& | src_rect,
|  | const Glib::RefPtr< Buffer >& | dest,
|  | const Rectangle& | dest_rect
| ) |  |

static Glib::RefPtr<Buffer> Gegl::Buffer::create | ( | const Rectangle& | extent,
|  | const Babl * | format
| ) |  | `[static]`

static Glib::RefPtr<Buffer> Gegl::Buffer::create_from_file | ( | const Glib::ustring & | p1 | ) | `[static]`

Glib::RefPtr<Buffer> Gegl::Buffer::create_sub_buffer | ( | const Rectangle& | extent | ) |

void Gegl::Buffer::destroy | ( |  | ) |

Glib::RefPtr<Buffer> Gegl::Buffer::dup | ( |  | ) | const

void Gegl::Buffer::flush | ( |  | ) |

void Gegl::Buffer::get | ( | double | scale,
|  | const Rectangle& | rect,
|  | const Babl * | format,
|  | void * | dest,
|  | int | rowstride
| ) |  | const

Rectangle Gegl::Buffer::get_extent | ( |  | ) | const

const Babl* Gegl::Buffer::get_format | ( |  | ) |

GeglBuffer* Gegl::Buffer::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

const GeglBuffer* Gegl::Buffer::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GeglBuffer* Gegl::Buffer::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

static Interpolation Gegl::Buffer::interpolation_from_string | ( | const Glib::ustring & | string | ) | `[static]`

void Gegl::Buffer::linear_close | ( | gpointer | linear | ) |

gpointer* Gegl::Buffer::linear_open | ( | const Rectangle& | r,
|  | gint & | rowstride,
|  | const Babl * | format
| ) |  |

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_abyss_height | ( |  | ) | const

pixel height of abyss.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_abyss_width | ( |  | ) | const

pixel width of abyss.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_abyss_x | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_abyss_y | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< gpointer> Gegl::Buffer::property_backend | ( |  | ) |

A custom tile-backend instance to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< gpointer> Gegl::Buffer::property_backend | ( |  | ) | const

A custom tile-backend instance to use.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Babl*> Gegl::Buffer::property_format | ( |  | ) |

babl format.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Babl*> Gegl::Buffer::property_format | ( |  | ) | const

babl format.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int> Gegl::Buffer::property_height | ( |  | ) |

pixel height of buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_height | ( |  | ) | const

pixel height of buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring> Gegl::Buffer::property_path | ( |  | ) |

URI to where the buffer is stored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring> Gegl::Buffer::property_path | ( |  | ) | const

URI to where the buffer is stored.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_pixels | ( |  | ) | const

total amount of pixels in image (width x height).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_px_size | ( |  | ) | const

size of a single pixel in bytes.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_shift_x | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_shift_y | ( |  | ) | const

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::Object> Gegl::Buffer::property_source | ( |  | ) |

The tilestore to be a facade for.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::Object> Gegl::Buffer::property_source | ( |  | ) | const

The tilestore to be a facade for.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_tile_height | ( |  | ) | const

height of a tile.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_tile_width | ( |  | ) | const

width of a tile.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int> Gegl::Buffer::property_width | ( |  | ) |

pixel width of buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_width | ( |  | ) | const

pixel width of buffer.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int> Gegl::Buffer::property_x | ( |  | ) |

local origin's offset relative to source origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_x | ( |  | ) | const

local origin's offset relative to source origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int> Gegl::Buffer::property_y | ( |  | ) |

local origin's offset relative to source origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int> Gegl::Buffer::property_y | ( |  | ) | const

local origin's offset relative to source origin.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gegl::Buffer::sample | ( | double | x,
|  | double | y,
|  | double | scale,
|  | void * | dest,
|  | const Babl * | format,
|  | Interpolation | interpolation
| ) |  |

void Gegl::Buffer::sample_cleanup | ( |  | ) |

void Gegl::Buffer::save | ( | const Glib::ustring & | p1,
|  | const Rectangle& | p2
| ) |  | const

void Gegl::Buffer::save | ( | const Glib::ustring & |  | ) | const

void Gegl::Buffer::set | ( | const Rectangle& | rect,
|  | const Babl * | format,
|  | void * | src,
|  | int | rowstride
| ) |  |

void Gegl::Buffer::set_extent | ( | const Rectangle& | p1 | ) |

Glib::SignalProxy1< void,const Rectangle& > Gegl::Buffer::signal_changed | ( |  | ) |

Prototype:
  `void on_my_changed(const Rectangle& r)`

## Friends And Related Function Documentation

Glib::RefPtr< Gegl::Buffer > wrap | ( | GeglBuffer * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- buffer.h